Bug#963996: /usr/bin/unzip: Bomb detection fails with out of memory error when extracting bzip2-compressed files

2020-06-29 Thread Spencer Harris
Package: unzip Version: 6.0-25 Severity: normal File: /usr/bin/unzip Dear Maintainer, When using unzip to attempt to extract a zip file containing certain bzip2-compressed files, unzip fails after extracting the first file with the error, "not enough memory for bomb detection". Versions without

Bug#963997: terminology: Characters not displayed

2020-06-29 Thread Pierre Couderc
Package: terminology Version: 1.7.0-1 Severity: important Dear Maintainer, In the last line of the window, the character '_' is not displayed. I suppose (but I am not sure) that the last line of pixels is not displayed. To reproduce : a- install a fresh bullseye debian system (maybe on a

Bug#961839: closure-compiler: FTBFS: is not abstract and does not override abstract method test(Object) in Predicate

2020-06-29 Thread Sandro Tosi
Any update here? it's been a month now -- thanks! On Sun, May 31, 2020 at 9:03 PM Sandro Tosi wrote: > > > If that helps, building closure-compiler with source/target=8 should fix > > this issue. I did that for Gradle this week to fix the same issue. > > if you guys fix this bug, can you also

Bug#963999: gcc-python-plugin: FTBFS: invalid literal for int() with base 10

2020-06-29 Thread Niko Tyni
Source: gcc-python-plugin Version: 0.17-6 Severity: serious Tags: ftbfs This package fails to build from source on current sid. Exception occurred: File "/usr/lib/python3/dist-packages/sphinx/writers/html5.py", line 548, in visit_image atts['width'] = int(atts['width']) * scale

Bug#963678: hedgewars: FTBFS with ghc 8.8

2020-06-29 Thread Shengjing Zhu
On Thu, 25 Jun 2020 09:36:25 +0200 Sebastian Ramacher wrote: > Source: hedgewars > Version: 1.0.0-5 > Severity: serious > Tags: ftbfs sid bullseye > Justification: fails to build from source (but built successfully in the past) > > hedgewars fails to build with ghc 8.8: > | [ 6 of 26] Compiling

Bug#963817: Breaks?

2020-06-29 Thread Rebecca N. Palmer
On 29/06/2020 20:59, Paul Gevers wrote: Does this mean that numpy should add a Breaks relation on the old pandas version to avoid upgrading numpy but not pandas on user systems? Not really - the constant was replaced by its value, so the only 1.19-related change outside of tests is the

Bug#960974: buster-pu: package postfix/3.4.14-0+deb10u1

2020-06-29 Thread Scott Kitterman
In the 6 weeks since this request was originally filed, there have been two more postfix bugfix releases. I'd like to upload 3.4.14 instead. I'm attaching two debdiffs: stable.debdiff is the diff from what's currently in stable. update.debdiff is the change from the original request in May.

Bug#943132: intel-gpu-tools: diff for NMU version 1.25-2.1

2020-06-29 Thread Sandro Tosi
Control: tags 943132 + pending Dear maintainer, I've prepared an NMU for intel-gpu-tools (versioned as 1.25-2.1) and uploaded it to DELAYED/7. Please feel free to tell me if I should delay it longer. Regards. diff -Nru intel-gpu-tools-1.25/debian/changelog

Bug#916333: ITP: dav1d -- fast and small AV1 video stream decoder

2020-06-29 Thread Vasyl Gello
Hi Dylan! There is a new upstream release 0.7.1 for a week or so. Can you please package it? --  Vasyl Gello == Certified SolidWorks Expert Mob.:+380 (98) 465 66 77 E-Mail: vasek.ge...@gmail.com Skype: vasek.gello

Bug#954554: python-asynctest: FTBFS, maybe-RM

2020-06-29 Thread Rebecca N. Palmer
Is the above intended as a proposal to remove asynctest? The rdeps in Debian are hypercorn, python-aioresponses, and (for autopkgtest only) python-fakeredis. hypercorn upstream have stopped using it: https://gitlab.com/pgjones/hypercorn/-/commit/80e2ad5db107c42d42471ea64764d2b42202349c The

Bug#963994: RFS: pygresql/1:5.2-1 [QA] -- PostgreSQL module for Python3

2020-06-29 Thread Håvard Flaget Aasen
Package: sponsorship-requests Severity: normal Dear mentors, I am looking for a sponsor for my package "pygresql" * Package name: pygresql Version : 1:5.2-1 Upstream Author : PyGreSQL team * URL : https://www.pygresql.org/index.html * License :

Bug#962474: CMAKE_SKIP_RPATH=ON improves reproducibility of CMake builds

2020-06-29 Thread Timo Röhling
On 30.06.2020 00:55, Chris Lamb wrote: > In other words, unless you have no reason to suspect that lots and > lots of things will break, I would highly and strongly recommend that > you simply make the changes in CMake/debhelper and upload. :) I'd say the biggest risk lies in breaking test suites

Bug#963998: gcc-9-cross-mipsen: FTBFS: empty variable name

2020-06-29 Thread Niko Tyni
Source: gcc-9-cross-mipsen Version: 4+c2 Severity: serious Tags: ftbfs This package fails to build on current sid. dpkg-buildpackage: info: source package gcc-9-cross-mipsen dpkg-buildpackage: info: source version 4+c2 dpkg-buildpackage: info: source distribution unstable dpkg-buildpackage:

Bug#963647: elpy: FTBFS with Sphinx 3.1: Could not import extension elispdomain (exception: cannot import name 'l_' from 'sphinx.locale' (/usr/lib/python3/dist-packages/sphinx/locale/__init__.py))

2020-06-29 Thread Nicholas D Steeves
Hi Dmitry! Dmitry Shachnev writes: > So the correct link would be this one: > > https://www.sphinx-doc.org/en/2.0/extdev/deprecated.html > > which says that sphinx.locale.l_() was deprecated in 1.8, and the > alternative is sphinx.locale._(): > >

Bug#145257: #145257 Re: why did hypercorn migrate to testing?

2020-06-29 Thread Ivo De Decker
Control: retitle -1 [britney] migrations can break build-depends Hi, On 6/29/20 5:15 PM, peter green wrote: > However hypercorn just migrated to testing again, despite the fact that > python-asynctest is rc buggy and not in testing. This leaves hypercorn > in violation of "packages must be

Bug#963943: mupdf-tools: mutool decompression broken due to mismatched jbig2dec versions

2020-06-29 Thread Rogério Brito
Hi, Kan-Ru Chen. On Jun 30 2020, Kan-Ru Chen wrote: > On Sun, Jun 28, 2020 at 08:39:19PM -0300, Rogério Brito wrote: > > The version of mupdf in testing/unstable is partially broken (thus, only > > severity important, instead of a higher severity). > > > > This happens because mutool produces

Bug#952041: Fwd: Bug#952041: fixed in ruby-hoe 3.22.1+dfsg1-1

2020-06-29 Thread Lucas Kanashiro
This test failure is still not fixed in version 3.22.1+dfsg1-1. I faced this issue in Ubuntu: https://launchpadlibrarian.net/482047556/buildlog_ubuntu-groovy-amd64.ruby-hoe_3.22.1+dfsg1-1_BUILDING.txt.gz The important part is: 1) Failure: TestHoe#test_possibly_better

Bug#963788: systemd: please make user order and ids of systemd and systemd-timesyncd reproducible

2020-06-29 Thread Chris Lamb
[adding reproducible-bui...@lists.alioth.debian.org to CC] Johannes 'josch' Schauer wrote: > This is problem for reproducible installations because the exact same > package set, consisting of systemd and systemd-timesyncd can result in a > different system after installation. I remember working

Bug#963983: closed by Gianfranco Costamagna (Re: python3-pyside2.qtsvg: segfault on import)

2020-06-29 Thread ydirson
reopen 963983 thanks The other pyside2 packages (code, gui etc) were still at 5.15.0-1~exp1. If I just update qtsvg to 5.15.0-2 the segfault still happens. Update the rest of pyside2 triggers a huge cascading of upgrades to Qt 5.14 which had not been done when I had installed the exp packages,

Bug#962474: CMAKE_SKIP_RPATH=ON improves reproducibility of CMake builds

2020-06-29 Thread Chris Lamb
Timo Röhling wrote: > >> By default, CMake adds an RPATH entry to ELF binaries and deletes it > >> again at install time. However, due to the limitations of some > >> platforms, CMake will actually zero out the RPATH entry in the binary, > >> leaking the original path length and thus making the

Bug#963995: uget: Crashes under XFCE when trying to sort on column "Added on"

2020-06-29 Thread waxhead
Package: uget Version: 2.2.3-1 Severity: important Dear Maintainer, *** Reporter, please consider answering these questions, where appropriate *** * What led up to the situation? Tried to download some files.. * What exactly did you do (or not do) that was effective (or

Bug#963971: samba-libs: libndr.so.0 gone from latest version, breaks sssd-ad-common dependency

2020-06-29 Thread Michael Stone
On Tue, Jun 30, 2020 at 08:48:05AM +1200, Andrew Bartlett wrote: On Mon, 2020-06-29 at 08:46 -0400, Michael Stone wrote: Package: samba-libs Version: 2:4.12.3+dfsg-2 Severity: critical Justification: breaks the whole system The new samba-libs package changes the soname of libndr from

Bug#961337: ITP: A secure runtime for JavaScript and TypeScript.

2020-06-29 Thread Paolo Greppi
Il 29/06/20 21:27, Akshat Agarwal ha scritto: > Package: wnpp > Followup-For: Bug #961337 > Owner: Akshat Agarwal > > > * Package name: deno > Version : 1.1.2 > Upstream Author : Deno authors > * URL : https://github.com/denoland/deno > * License : MIT >

Bug#963990: libemf: FTBFS everywhere

2020-06-29 Thread Sebastian Ramacher
Source: libemf Version: 1.0.13-1 Severity: serious Tags: ftbfs Justification: fails to build from source (but built successfully in the past) libemf fails to build everywhere: | dh_missing: warning: usr/lib/x86_64-linux-gnu/libEMF.la exists in debian/tmp but is not installed to anywhere |

Bug#962307: Acknowledgement (RFS: anymeal/1.0-1 ITA -- Cookbook database for storing recipes)

2020-06-29 Thread Jan Wedekind
Hi, I have now released version 1.2. It is available here: https://mentors.debian.net/package/anymeal Also it can be downloaded as follows: dget -x https://mentors.debian.net/debian/pool/main/a/anymeal/anymeal_1.2-1.dsc Best regards Jan

Bug#913664: Does not integrate with firewalld, will be broken when nftables backend is used

2020-06-29 Thread Michael Biebl
On Tue, 13 Nov 2018 20:38:05 +0100 Michael Biebl wrote: > Source: docker.io > Version: 18.06.1+dfsg1-2 > Severity: normal > > Hi, > > firewalld switched its default backend from iptables to nftables > recently [1]. Unfortunately, this caused issues with libvirt and as > reported in [2], also

Bug#963887: UDD: 'duck' importer broken since 2020-05-25

2020-06-29 Thread Raphael Hertzog
On Mon, 29 Jun 2020, Baptiste BEAUPLAT wrote: > > Indeed, creating a dedicated service for this does not seem a good idea. > > I would love to have this feature integrated directly with > distro-tracker. However, I'm wondering about the load that would case > for the service. Network request do

Bug#888025: how to integrate ca-certificates with gpgsm (for email s/mime signature verification)

2020-06-29 Thread John Scott
> looking at the documentation for trustlist.txt in gpg-agent(1) (it seems > odd to have it documented there, since i thought gpg-agent was for > secret key material only, weird!), it looks like trustlist.txt has an > `include-default` option, which maybe defaults to > `/etc/gnupg/trustlist.txt`

Bug#963992: ITP: concurrentqueue -- industrial-strength lock-free queue for C++

2020-06-29 Thread Steffen Moeller
Package: wnpp Severity: wishlist Subject: ITP: concurrentqueue -- industrial-strength lock-free queue for C++ Package: wnpp Owner: Steffen Moeller Severity: wishlist * Package name: concurrentqueue Version : 1.0.1 Upstream Author : , Cameron Desrochers * URL :

Bug#963993: dolphin crashes with segfault

2020-06-29 Thread Hans-J. Ullrich
Package: dolphin Version: 4:20.04.2-1 Severity: important Dear Maintainer, I do not know,if this is already been reported, but at the moment dolphin is crashing at start. I am running debian/testing amd64 with plasma5. This is the output, when dophin is crashing,hope it helps: snip

Bug#963991: libmkl-rt: libomp-dev dependency too strict

2020-06-29 Thread Marc Glisse
Package: libmkl-rt Version: 2020.1.217-2 Severity: normal Dear Maintainer, I would like to install libomp-11-dev on this computer, but libmkl-rt has a dependency on libomp-dev | libomp-7-dev | libomp-8-dev, and the versions of libomp conflict with each other. As far as I know, llvm aims to keep

Bug#963971: samba-libs: libndr.so.0 gone from latest version, breaks sssd-ad-common dependency

2020-06-29 Thread Andrew Bartlett
On Mon, 2020-06-29 at 08:46 -0400, Michael Stone wrote: > Package: samba-libs > Version: 2:4.12.3+dfsg-2 > Severity: critical > Justification: breaks the whole system > > The new samba-libs package changes the soname of libndr from > libndr.so.0 to > libndr.so.1 without reflecting this change in

Bug#954554: python-asynctest: FTBFS, maybe-RM

2020-06-29 Thread Jonas Smedegaard
Quoting Rebecca N. Palmer (2020-06-29 21:38:29) > Is the above intended as a proposal to remove asynctest? Sorry, what is "the above" you are referring to? - Jonas -- * Jonas Smedegaard - idealist & Internet-arkitekt * Tlf.: +45 40843136 Website: http://dr.jones.dk/ [x] quote me freely

Bug#961745: [Pkg-pascal-devel] Bug#961745: [Pkg-utopia-maintainers] Bug#961745: udisks2 2.9.0-1 problems

2020-06-29 Thread Сергей Фёдоров
Based on your suggestion, I wrote to the doublecmd developer and they solved this problem. Thanks.

Bug#954554: python-asynctest: FTBFS, maybe-RM

2020-06-29 Thread Jonas Smedegaard
[ adding back bugreport as cc ] Quoting Rebecca N. Palmer (2020-06-29 23:33:20) > On 29/06/2020 22:27, Jonas Smedegaard wrote: > > Sorry, what is "the above" you are referring to? > > The previous message in the bug log, Thanks for clarifying. - Jonas -- * Jonas Smedegaard - idealist &

Bug#963881: libecore-input1: circular dependency hell

2020-06-29 Thread Ross Vandegrift
Hi Bill, On Sun, Jun 28, 2020 at 04:41:03PM +0200, Bill Allombert wrote: > There is a circular dependency between libecore-input1, libecore-x1, > libevas1 and libevas1-engines-x: > > libecore-input1 :Depends: libevas1 (>= 1.23.3-0~eo) > libecore-x1 :Depends: libecore-input1 (>=

Bug#963950: ITP: trf -- locate and display tandem repeats in DNA sequences

2020-06-29 Thread Andreas Tille
Package: wnpp Severity: wishlist Subject: ITP: trf -- locate and display tandem repeats in DNA sequences Package: wnpp Owner: Andreas Tille Severity: wishlist * Package name: trf Version : 4.09.1 Upstream Author : Gary Benson , * URL :

Bug#963954: ndcube: test failure with new sunpy

2020-06-29 Thread Ole Streicher
Source: ndcube Version: 1.3.2-1 Severity: serious Tags: patch Hi Vincent, I just uploaded the new sunpy version, and this unfortunately breaks the ndcube testing due to a missing dependency: Sunpy no longer strongly depends on parfive, only recommends it. The tests however require them (even

Bug#963894: Chromium: Error "Aw, Snap! Something went wrong while displaying this webpage. Error code 256."

2020-06-29 Thread Vladimir K
I can confirm this. Chromium tab crashes on Youtube video pages, also on MS Teams web client. Chromium was not upgraded recently, but other packages were. Some of these may be causing crashes. Start-Date: 2020-06-27 10:10:00 Upgrade: libqmi-proxy:amd64 (1.24.12-0.1, 1.26.0-0.1),

Bug#897950: [patch] curl: replace from libssh2 to libssh to improve security

2020-06-29 Thread Sebastien Bacher
Dear curl maintainer, Is there a chance you would consider doing that change? Libssh is better maintained and it would make sense Thanks,

Bug#962085: Bug#962085: bcalm, kissplice: both ship /usr/bin/bcalm

2020-06-29 Thread David Parsons
Dear Andreas, bcalm is included in the kissplice sources as a git submodule. My understanding at reading the source and talking with upstream is that they will keep track with newer versions of bcalm but probably with a little lag. I am not absolutely sure they use an out-of-the-box version

Bug#946446: re, harfbuzz: Please make autopkgtests cross-test-friendly

2020-06-29 Thread Sebastien Bacher
Hey there, Could you review the change there? Similar patches have been applied to other desktop libraries, it should make no difference for Debian and allow the package to be in sync for Ubuntu Thanks,

Bug#951048: util-linux: please build with dm-verity support when uploading 2.35

2020-06-29 Thread Michael Biebl
On Mon, 10 Feb 2020 12:06:39 + Luca Boccassi wrote: > util-linux gained native support for dm-verity volumes in the new > upstream version 2.35 in the mount/umount tools. > It is enough to build with libcryptsetup-dev present to enable this > feature. Please consider adding this

Bug#963963: chromium 83.0.4103.116-1 fails to install

2020-06-29 Thread Nikola
Package: chromium Version: 83.0.4103.116-1 Severity: important Dear Maintainer, *** Reporter, please consider answering these questions, where appropriate *** * What led up to the situation? sudo apt update/upgrade/dist-upgrade apt autoremove sudo apt update/upgrade/dist-upgrade * What

Bug#963953: cpanminus depends on 'make' to work - but installing cpanminus does not install 'make'.

2020-06-29 Thread Jeff
Package: cpanminus Version: 1.7044-1 Severity: normal Dear Maintainer, * apt-get install -y cpanminus; cpanminus --sudo File::chown * --> cpanminus fails to install module, and warns that I probably need to install make * apt-get install -y make * cpanminus --sudo File::chown ->

Bug#963903: 'ftpnew-blends' importer crashing. disabled.

2020-06-29 Thread Andreas Tille
Control: tags -1 unreproducible Hi Lucas, On Sun, Jun 28, 2020 at 06:01:33PM +0200, Lucas Nussbaum wrote: > Traceback (most recent call last): > File "/srv/udd.debian.org/udd//udd.py", line 88, in > exec "gatherer.%s()" % command > File "", line 1, in > File

Bug#791445: Отправка за этот месяц

2020-06-29 Thread Александра Королёва
Ниже в письме все док-ты на проверку. Требуется вернуть до завтра сюда же. Ниже в письме все док-ты на проверку.   Требуется вернуть до завтра сюда же.

Bug#963958: Please backport imlib2 to buster

2020-06-29 Thread Enrico Zini
Source: imlib2 Severity: wishlist Hello, thank you for maintaining imlib2. Testing imlib2 supports additional formats like webp, that stable imlib2 does not. I tried rebuilding imlib2 1.6.1-2 on stable+backports, and it built flawlessly. Installing just the shared library is enough to have, for

Bug#963960: dbus-java-bin: CreateInterface fails with XML parsing errors

2020-06-29 Thread Ronny Standtke
Package: dbus-java-bin Version: 2.8-9 Severity: important Whatever I try, CreateInterface always fails with XML parsing errors, e.g.: $ CreateInterface --system org.freedesktop.UDisks2 /org/freedesktop/UDisks2/block_devices/sda   [Fatal Error] introspect.dtd:1:3: The markup declarations

Bug#963962: /etc/grub.d/20_linux_xen generates non-functional menu entries

2020-06-29 Thread Sergio Gelato
Package: grub-common Version: 2.02+dfsg1-20 Severity: normal xen-hypervisor-4.11-amd64 in buster installs the following files: /boot/xen-4.11-amd64.gz /boot/xen-4.11-amd64.efi /boot/xen-4.11-amd64.config The first one is bootable (usually; but see #924360). The second one may or may not be

Bug#951048: util-linux: please build with dm-verity support when uploading 2.35

2020-06-29 Thread Michael Biebl
Am 29.06.20 um 12:41 schrieb Luca Boccassi: > (or maybe, to look on the bright > side of life, it's good that these underlying issues were found a year > before the next release? :-) ). Unless you are affected by it > In terms of image size, what % does that additional 5.6MB represent? A

Bug#963952: ITP: golang-github-shenwei356-util -- Golang utility packages (library)

2020-06-29 Thread Andreas Tille
Package: wnpp Severity: wishlist Subject: ITP: golang-github-shenwei356-util -- Golang utility packages (library) Package: wnpp Owner: Andreas Tille Severity: wishlist * Package name: golang-github-shenwei356-util Version : 0.0~git20190523.f71ff37 Upstream Author : Wei Shen *

Bug#963191: RFH: aufs

2020-06-29 Thread Timo Weingärtner
Hallo, 20.06.20 13:26 Bastian Blank: > On Sat, Jun 20, 2020 at 12:14:17PM +0200, Jan Luca Naumann wrote: > > At the moment aufs is nearly unmaintained since I do not have time due to > > personal issues. Therefore, I would be happy if there is somebody to > > co-maintain the package. > Since the

Bug#963956: ITP: golang-github-shenwei356-bio -- lightweight and high-performance bioinformatics package in Golang (library)

2020-06-29 Thread Andreas Tille
Package: wnpp Severity: wishlist Subject: ITP: golang-github-shenwei356-bio -- lightweight and high-performance bioinformatics package in Golang (library) Package: wnpp Owner: Andreas Tille Severity: wishlist * Package name: golang-github-shenwei356-bio Version :

Bug#963444: update Google Guava dependency to v24.0

2020-06-29 Thread Mathieu Malaterre
Control: tags -1 fixed-upstream patch confirmed See: https://github.com/w3c/epubcheck/pull/833#issuecomment-367052775

Bug#963959: ITP: golang-github-shenwei356-bwt -- Burrows-Wheeler Transform and FM-index in golang (library)

2020-06-29 Thread Andreas Tille
Package: wnpp Severity: wishlist Subject: ITP: golang-github-shenwei356-bwt -- Burrows-Wheeler Transform and FM-index in golang (library) Package: wnpp Owner: Andreas Tille Severity: wishlist * Package name: golang-github-shenwei356-bwt Version : 0.0~git20200418.ae79c98

Bug#946313: debian/tests/basic-smoke: debootstrap stable might fail on future releases

2020-06-29 Thread Arnaud Rébillout
Thanks for the report. I will set the release to 'buster' as it's the latest stable release at the moment. Regards, Arnaud

Bug#963964: release-notes: document aufs removal for bullseye

2020-06-29 Thread Holger Levsen
package: release-notes x-debbugs-cc: Timo Weingärtner , Jan Luca Naumann , 963...@bugs.debian.org, debian-de...@lists.debian.org in #963191 on Mon, Jun 29, 2020 at 10:06:33AM +0200, Bastian Blank wrote: > On Mon, Jun 29, 2020 at 09:32:09AM +0200, Timo Weingärtner wrote: > > 20.06.20 13:26

Bug#924360: ERR: Bootloader shutdown EFI x64 boot services!

2020-06-29 Thread Sergio Gelato
control: unmerge 924360 This is clearly not the same bug as #901599. (Not even in severity: #901599 does not prevent operation, while this bug requires a reset to recover from.) I can confirm #924360 on a Dell PowerEdge T330 with BIOS 2.9.0 (and 2.8.1). Seen as a Xen bug, it is a regression from

Bug#951048: util-linux: please build with dm-verity support when uploading 2.35

2020-06-29 Thread Luca Boccassi
On Mon, 2020-06-29 at 11:41 +0200, Michael Biebl wrote: > On Mon, 10 Feb 2020 12:06:39 + Luca Boccassi wrote: > > util-linux gained native support for dm-verity volumes in the new > > upstream version 2.35 in the mount/umount tools. > > It is enough to build with libcryptsetup-dev present to

Bug#942488: Trim too long file names

2020-06-29 Thread Osamu Aoki
Hi. Certainly it will be nice to autodetect filename length limitation and trim filename accoudingly. But for practical and cosmetic purpose, excessively long filename looks better if they are trimmed. For that, only user knows how long it should be. This belongs to ~/.abcde.conf Adding

Bug#956349: universal-ctags FTBFS on 32bit: test failures

2020-06-29 Thread Masatake YAMATO
Fixed in https://github.com/universal-ctags/ctags/pull/2578

Bug#963951: ITP: golang-github-shenwei356-natsort -- natural strings sorting in Go (library)

2020-06-29 Thread Andreas Tille
Package: wnpp Severity: wishlist Subject: ITP: golang-github-shenwei356-natsort -- natural strings sorting in Go (library) Package: wnpp Owner: Andreas Tille Severity: wishlist * Package name: golang-github-shenwei356-natsort Version : 0.0~git20190418.600d539 Upstream Author :

Bug#963955: qtbase5-dev: Packages that build-depend on both Qt and TBB FTBFS

2020-06-29 Thread Gard Spreemann
Package: qtbase5-dev Version: 5.14 Severity: normal Tags: upstream Dear Maintainer, As of Qt 5.14, a change to moc means that packages that build-depend on both Qt and TBB (libtbb-dev) fail to build. This is QTBUG-80990/QTBUG-80578 [1,2]. I have verified that this is a problem for src:gudhi,

Bug#963604: RM: gajim-rostertweaks -- ROM; not maintained upstream

2020-06-29 Thread Martin
Does gajim-rostertweaks prevent the testing migration of gajim etc.? https://qa.debian.org/excuses.php?package=gajim Should I file an RC bug against the package in such situations? Or would that be over the top after an RM request?

Bug#963957: openvswitch-switch-dpdk: Packaging is broken

2020-06-29 Thread Adriaan Schmidt
Package: openvswitch-switch-dpdk Version: 2.13.0+dfsg1-11~bpo10+1 Severity: important Dear Maintainer, I encounter several issues with the DPDK-enabled build of Open vSwitch: * The packaged /usr/lib/openvswitch-switch-dpdk/ovs-vswitchd-dpdk is not the actual binary, but a libtool wrapper. *

Bug#963884: libmaven-plugin-tools-java: circular dependency with libsurefire-java

2020-06-29 Thread Bill Allombert
On Mon, Jun 29, 2020 at 12:15:29AM +0200, Emmanuel Bourg wrote: > Le 28/06/2020 à 16:49, Bill Allombert a écrit : > > > There is a circular dependency between libmaven-plugin-tools-java and > > libsurefire-java: > > > > libmaven-plugin-tools-java :Depends: libsurefire-java (>= 2.22.1) > >

Bug#963961: Please backport exiv2

2020-06-29 Thread Enrico Zini
Package: exiv2 Version: 0.27.2-8 Severity: wishlist Hello, thank you for maintaining exiv2. exiv2 in testing adds support for the webp image format, not supported in stable. I tried building exiv2 with the build-deps from stable, and it builds and works, with the attached .symbols patch.

Bug#925530: cloud.debian.org: Debian docker images pointing to github for bug tracking

2020-06-29 Thread Lucas Nussbaum
On 28/06/20 at 23:38 +0200, Bernd Zeimetz wrote: > > > On 6/28/20 10:58 PM, Lucas Nussbaum wrote: > > Well, I think that it would a good thing for Debian to enforce some > > consistency on Debian images for clouds and software that require > > VM images, at least about where to find information

Bug#843835: UDD: expose an API for upstream versions to rmadison

2020-06-29 Thread Lucas Nussbaum
On 29/06/20 at 09:49 +0800, Paul Wise wrote: > On Sun, 2020-06-28 at 18:17 +0200, Lucas Nussbaum wrote: > > > That would be easy. What should that API look like? Would returning all > > the info for a given source package, as json, be enough? > > Probably just the same API as the existing

Bug#949846: libpyside2-dev: Wrong include path for CMake in INTERFACE_INCLUDE_DIRECTORIES

2020-06-29 Thread Tobias Ellinghaus
Hi, libshiboken2-dev 5.15.0-1 is now in sid, and it seems this is broken again. The packages from experimental used to work fine, but they are gone now. It would be great if someone could have a look. Thanks in advance Tobias

Bug#963191: RFH: aufs

2020-06-29 Thread Bastian Blank
Hi Timo On Mon, Jun 29, 2020 at 09:32:09AM +0200, Timo Weingärtner wrote: > 20.06.20 13:26 Bastian Blank: > > Since the kernel supports overlayfs since some time now, what blocks > > it's removal? > There are Debian installations on filesystems that are incompatible with > overlayfs, for example

Bug#963948: [Pkg-utopia-maintainers] Bug#963948: failed to start with status=11/SEGV

2020-06-29 Thread Michael Biebl
Control: found -1 0.8.2-2 Control: notfound -1 0.8.2-1 Control: severity -1 serious Hello Am 29.06.20 um 05:43 schrieb Ernesto Domato: > After upgrading from 0.8.2-1 to 0.8.2-2, firewalld doesn't work anymore and > systemd status command says: > > ● firewalld.service - firewalld - dynamic

Bug#963971: samba-libs: libndr.so.0 gone from latest version, breaks sssd-ad-common dependency

2020-06-29 Thread Michael Stone
Package: samba-libs Version: 2:4.12.3+dfsg-2 Severity: critical Justification: breaks the whole system The new samba-libs package changes the soname of libndr from libndr.so.0 to libndr.so.1 without reflecting this change in the package name. sssd-ad-common has a dependency on samba-libs (>=

Bug#963973: ITP: golang-github-logrusorgru-aurora -- Golang ultimate ANSI-colors that supports Printf/Sprintf methods (library)

2020-06-29 Thread Andreas Tille
Package: wnpp Severity: wishlist Subject: ITP: golang-github-logrusorgru-aurora -- Golang ultimate ANSI-colors that supports Printf/Sprintf methods (library) Package: wnpp Owner: Andreas Tille Severity: wishlist * Package name: golang-github-logrusorgru-aurora Version : 1.1

Bug#951048: util-linux: please build with dm-verity support when uploading 2.35

2020-06-29 Thread Luca Boccassi
On Mon, 2020-06-29 at 12:58 +0200, Michael Biebl wrote: > Am 29.06.20 um 12:41 schrieb Luca Boccassi: > > In terms of image size, what % does that additional 5.6MB represent? > > A minbase debootstrap of bullseye is currently 197M Thanks - so about ~2.5%. I can look into changing to dlopen as

Bug#963965: shotdetect: upstream moved

2020-06-29 Thread Sebastian Ramacher
Source: shotdetect Version: 1.0.86-5 Severity: minor shotdetect can now be found at https://github.com/johmathe/shotdetect Cheers -- Sebastian Ramacher signature.asc Description: PGP signature

Bug#963968: git-buildpackage: import-orig fails to find component tarball signatures

2020-06-29 Thread Guido Günther
Hi, On Mon, Jun 29, 2020 at 09:53:54PM +1000, Hugh McMaster wrote: [..snip..] > gbp:debug: ['git', 'rev-parse', '--quiet', '--verify', 'pristine-tar'] > gbp:error: ../freetype_2.10.2.orig-ft2docs.tar.xz does not have a signature > file this looks as if `import-orig` looks on your pristine-tar

Bug#963957: openvswitch-switch-dpdk: Packaging is broken

2020-06-29 Thread Thomas Goirand
On 6/29/20 11:06 AM, Adriaan Schmidt wrote: > Package: openvswitch-switch-dpdk > Version: 2.13.0+dfsg1-11~bpo10+1 > Severity: important > > Dear Maintainer, > > I encounter several issues with the DPDK-enabled build of Open vSwitch: > > * The packaged

Bug#963191: RFH: aufs

2020-06-29 Thread Thomas Goirand
On 6/29/20 9:32 AM, Timo Weingärtner wrote: > Hallo, > > 20.06.20 13:26 Bastian Blank: >> On Sat, Jun 20, 2020 at 12:14:17PM +0200, Jan Luca Naumann wrote: >>> At the moment aufs is nearly unmaintained since I do not have time due to >>> personal issues. Therefore, I would be happy if there is

Bug#963080: chromium: crashing due to ffmpeg 4.3 update

2020-06-29 Thread Denis Krivosheev
Hi! There is no 4.2 packages in repository anymore. With best regards, Denis Krivosheev. On Sun, 28 Jun 2020 19:29:10 +0200 Frederic MASSOT wrote: > Hi, > > After updating my Bullseye system, chromium crashes as soon as there is > a video. > > I tried to downgrade ffmpeg with apt-get, but

Bug#963713: [Pkg-net-snmp-devel] Bug#963713: net-snmp: CVE-2019-20892

2020-06-29 Thread Craig Small
Hi All There's a few goes of the required patches but I think I've got them all. There was the v3doublefree2.patch, a format patch and then the first git reference in the tracker where they have re-arranged the free function so it tracks the reference count. The result does compile and build

Bug#963593: Package ready

2020-06-29 Thread Michael Hanke
The package is done, and in local production use for a few days now. It is hosted on github at https://github.com/mih/debian-annexremote.git until DPMT approves my request to join the team. Lintian 2.80 reports no issues with it. -- Michael Hanke GPG: 4096R/C073D2287FFB9E9B

Bug#963966: cdimage.debian.org: Service cdimage.debian.org is offline

2020-06-29 Thread Sebastian Stabbert
Package: cdimage.debian.org Severity: important -- System Information: Debian Release: 10.4 APT prefers stable APT policy: (500, 'stable') Architecture: amd64 (x86_64) Kernel: Linux 4.15.0-88-generic (SMP w/8 CPU cores) Kernel taint flags: TAINT_PROPRIETARY_MODULE,

Bug#963972: error: cannot import key in /debian/upstream/signing-key.asc since GnuPG is not installed

2020-06-29 Thread Hideki Yamane
Package: dpkg-dev Version: 1.20.2 Severity: important Dear Maintainer, When I tries to build package from source that its source is GPG signed one, dpkg-source -b cause error as below. >dh_clean > dpkg-source -b . > dpkg-source: error: cannot import key in >

Bug#962755: exif: FTBFS on s390x: test failure

2020-06-29 Thread Hugh McMaster
Hi Nelson, On Sun, 14 Jun 2020 at 11:51, Hugh McMaster wrote: > On Sun, 14 Jun 2020 at 08:32, Nelson H. F. Beebe wrote: >> That is not the same version of exiftool that Boyuan reported, but there was >> no URL for his version. I someone cares to send me a suitable source URL >> off list, I'll

Bug#962474: CMAKE_SKIP_RPATH=ON improves reproducibility of CMake builds

2020-06-29 Thread Timo Röhling
Control: user reproducible-bui...@lists.alioth.debian.org Control: usertag -1 + buildpath toolchain >> By default, CMake adds an RPATH entry to ELF binaries and deletes it >> again at install time. However, due to the limitations of some >> platforms, CMake will actually zero out the RPATH entry

Bug#962085: Bug#962085: bcalm, kissplice: both ship /usr/bin/bcalm

2020-06-29 Thread Andreas Tille
Hi David, On Mon, Jun 29, 2020 at 11:55:20AM +0200, David Parsons wrote: > bcalm is included in the kissplice sources as a git submodule. My > understanding at reading the source and talking with upstream is that they > will keep track with newer versions of bcalm but probably with a little lag.

Bug#963967: fonts-seto: invalid character in debian/watch; breaks uscan

2020-06-29 Thread Lucas Nussbaum
Package: fonts-seto Version: 6.20-7 Severity: normal Hi, The debian/watch file contains a non-ASCII character between "debian" and "uupdate". This breaks uscan: $ uscan --dehs --no-download fonts-seto debian uupdate debian uupdate 6.20

Bug#963969: post-process -> script for examples

2020-06-29 Thread Osamu Aoki
Package: abcde Version: 2.9.3-1 Severity: wishlist Tags: patch CDDB is not perfect. Se we tends to end up with rip result with missing tags etc. We can use external programs such as picard to fix tags. But nicely generated file names by mange... script in abcde is out of reach now. What we

Bug#963968: git-buildpackage: import-orig fails to find component tarball signatures

2020-06-29 Thread Guido Günther
Hi, On Mon, Jun 29, 2020 at 10:14:04PM +1000, Hugh McMaster wrote: > Hi Guido, > > On Mon, 29 Jun 2020 at 22:00, Guido Günther wrote: > > this looks as if `import-orig` looks on your pristine-tar branch and > > does not find a signature there (but already finds a pristine-tar > > commit) > >

Bug#963080: chromium: crashing due to ffmpeg 4.3 update

2020-06-29 Thread Jason Wee
confirm it works for me the following packages http://mirror.nus.edu.sg/Debian/pool/main/f/ffmpeg/ On Mon, 2020-06-29 at 05:51 -0700, Denis Krivosheev wrote: > Hi! > > There is no 4.2 packages in repository anymore. > > With best regards, Denis Krivosheev. > > On Sun, 28 Jun 2020 19:29:10

Bug#924360: Solved: ERR: Bootloader shutdown EFI x64 boot services!

2020-06-29 Thread Sergio Gelato
The system I had encountered the problem on had been freshly upgraded from stretch. It turned out that while the GRUB *packages* had been upgraded, the boot loader in the EFI system partition was still from stretch. I had to explicitly grub-install --target=x86_64-efi After this, things

Bug#963887: UDD: 'duck' importer broken since 2020-05-25

2020-06-29 Thread Raphael Hertzog
Hi, On Sun, 28 Jun 2020, Bastian Blank wrote: > > Baptiste (CCed) volunteered to write it over again, but for now there is > > no clear timeline as for when the new project will be started. > > Maybe you could add that to vcswatch? or distro-tracker? Indeed, creating a dedicated service for

Bug#963970: mutt: DSA-4707-1 regression: setting tunnel option results in error "Encrypted connection unavailable"

2020-06-29 Thread Jarek Kamiński
Package: mutt Version: 1.10.1-2.1+deb10u2 Severity: normal Hi, I've mutt configured to exec Dovecot imap server directly with the following setting in /etc/Muttrc: #v+ account-hook imap://[...] 'set tunnel="/usr/lib/dovecot/imap 2> $TMP/mutt-dovecot.log"' #v- It was working just fine until

Bug#940463: Cannot reproduce the annouced crash & desktop freeze

2020-06-29 Thread Georges Khaznadar
Dear Xeno, neither John Scott nor I could reproduce the announced bug. Please can you check whether falkon (in its last release) is really the reason of the crash you experienced? Please allow me to cite an anecdote: I have been recently disappointed by a GUI application which froze my desktop

Bug#962676: [Debian-med-packaging] Bug#962676: libzstd FTBFS for alpha: libc doesn't #define st_mtime

2020-06-29 Thread Alex Mestiashvili
On 6/11/20 9:38 PM, Helmut Grohne wrote: Source: libzstd Version: 1.4.5+dfsg-1 Tags: ftbfs patch User: helm...@debian.org Usertags: rebootstrap libzstd fails to build from source on alpha. programs/util.c has code that checks whether st_mtime is defined as a macro. If yes, it uses a struct

Bug#942488: Trim too long file names

2020-06-29 Thread Osamu Aoki
Hi. Certainly it will be nice to autodetect filename length limitation and trim filename accoudingly. But for practical and cosmetic purpose, excessively long filename looks better if they are trimmed. For that, only user knows how long it should be. This belongs to ~/.abcde.conf Adding

Bug#963932: Duplicate symbol json_object_iter_next in json-c, jansson

2020-06-29 Thread Michael Biebl
On Sun, 28 Jun 2020 22:11:20 +0200 Chris Hofstaedtler wrote: > * Chris Hofstaedtler [200628 20:10]: > > your libraries BOTH export a symbol named json_object_iter_next, > > causing crashes for binaries that end up loading both (possibly > > transitively). Comparing the .symbols files of both

Bug#963080: chromium: crashing due to ffmpeg 4.3 update

2020-06-29 Thread Denis Krivosheev
On Sun, 28 Jun 2020 19:29:10 +0200 Frederic MASSOT wrote: Hi, After updating my Bullseye system, chromium crashes as soon as there is a video. I tried to downgrade ffmpeg with apt-get, but we only have access to versions 4.3 and 4.1, chromium requires 4.2 minimum. The ffmpeg 4.2

  1   2   >